Summary:	OpenCL generic Installable Client Driver support
Summary(pl.UTF-8):	Ogólna obsługa sterowników klienckich (ICD) dla OpenCL
Name:		ocl-icd
Version:	2.2.14
Release:	1%{?tld}
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/OCL-dev/ocl-icd/releases
Source0:	https://github.com/OCL-dev/ocl-icd/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	ef0d426bccf2a795013d3c5794550e5e
URL:		https://github.com/OCL-dev/ocl-icd
BuildRequires:	asciidoc
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.9
BuildRequires:	khronos-OpenCL-headers >= 2.2
BuildRequires:	libtool
BuildRequires:	ruby
BuildRequires:	ruby-modules
BuildRequires:	xmlto
# this will be provided by the actual driver, I guess
#Provides:	OpenCL = 2.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package aims at creating an Open Source alternative to vendor
specific OpenCL ICD loaders.

%description -l pl.UTF-8
Ten pakiet to próba stworzenia mającej otwarte źródła alternatywy dla
specyficznych dla producenta bibliotek wczytujących ICD OpenCL.

%package devel
Summary:	Header file for building OpenCL ICD
Summary(pl.UTF-8):	Plik nagłówkowy do budowania OpenCL ICD
Group:		Development/Libraries
Requires:	khronos-OpenCL-headers >= 2.2

%description devel
Header file for building OpenCL installable client drivers (ICD).

%description devel -l pl.UTF-8
Plik nagłówkowy do budowania instalowalnych sterowników klienta
OpenCL.

%package libOpenCL
Summary:	OpenCL generic Installable Client Driver support
Summary(pl.UTF-8):	Ogólna obsługa sterowników klienckich (ICD) dla OpenCL
Group:		Libraries
Suggests:	ocl-icd-driver
Obsoletes:	Mesa-libOpenCL

%description libOpenCL
This package aims at creating an Open Source alternative to vendor
specific OpenCL ICD loaders.

%description libOpenCL -l pl.UTF-8
Ten pakiet to próba stworzenia mającej otwarte źródła alternatywy dla
specyficznych dla producenta bibliotek wczytujących ICD OpenCL.

%package libOpenCL-devel
Summary:	Development files for OpenCL library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki OpenCL
Group:		Development/Libraries
Requires:	%{name}-libOpenCL = %{version}-%{release}
Requires:	khronos-OpenCL-headers >= 2.2
Provides:	OpenCL-devel = 2.2
Obsoletes:	Mesa-libOpenCL-devel

%description libOpenCL-devel
Development files for OpenCL library provided by the ocl-icd loader.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki OpenCL dostarczanej przez ocl-icd.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgexampledir=%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

# packaged in man format
%{__rm} $RPM_BUILD_ROOT%{_docdir}/ocl-icd/html/libOpenCL.html

%clean
rm -rf $RPM_BUILD_ROOT

%post	libOpenCL -p /sbin/ldconfig
%postun	libOpenCL -p /sbin/ldconfig

%files devel
%defattr(644,root,root,755)
%{_includedir}/ocl_icd.h
%{_pkgconfigdir}/ocl-icd.pc
%{_examplesdir}/%{name}-%{version}

%files libOpenCL
%defattr(644,root,root,755)
%doc COPYING NEWS README
%attr(755,root,root) %{_libdir}/libOpenCL.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libOpenCL.so.1
%{_mandir}/man7/libOpenCL.7*
%{_mandir}/man7/libOpenCL.so.7*

%files libOpenCL-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libOpenCL.so
%{_pkgconfigdir}/OpenCL.pc
%changelog
* Mon Dec 23 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/ocl-icd.git;a=log;h=2187c2240b894d63645964c6873828f4eb14c1d6

* Sat Jan 16 2021 Jan Palus <atler@pld-linux.org> 2187c22
- up to 2.2.14

* Mon Jul 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 06a66d1
- updated URLs

* Fri Dec 01 2017 Jakub Bogusz <qboosh@pld-linux.org> b310620
- updated to 2.2.12, OpenCL 2.2

* Sun Jun 04 2017 Jacek Konieczny <jajcus@jajcus.net> 7feb7bc
- Version: 2.2.11

* Tue Jul 12 2016 Jakub Bogusz <qboosh@pld-linux.org> dc66f3c
- check-files cleanup, package ocl-icd binding example

* Sat Jul 09 2016 Jan Palus <atler@pld-linux.org> d3c933a
- up to 2.2.9

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> a6cb86b
- x32 rebuild
- release 2 (by relup.sh)

* Tue Apr 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 765e9c0
- adjusted pl
- libOpenCL-devel (not -devel) provides OpenCL-devel and obsoletes Mesa-libOpenCL-devel

* Tue Mar 18 2014 Jacek Konieczny <jajcus@jajcus.net> d3a4d96
- run ldconfig in the right package %post/%postun

* Tue Mar 18 2014 Jacek Konieczny <jajcus@jajcus.net> f268f5c
- dependencies and package split improvements

* Mon Mar 17 2014 Jacek Konieczny <jajcus@jajcus.net> df963e3
- Version: 2.1.3, finished

* Fri Jul 26 2013 Jakub Bogusz <qboosh@pld-linux.org> c1ac55b
- new

